Subject: Jam and cvtres
From: [email-masked] (Colin Peters)

15 Nov 1996 04:45:59 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
Original-To: "'GNU-Win32'" <[email-masked]>
Original-Sender: [email-masked]

Hello all,

If any of you want a copy of cvtres that works (I know some people
were looking for it) you can download it from the Minimalist GNU
Win32 download page: http://www.fu.is.saga-u.ac.jp/~colin/mingw32-download.html

Also, for users of Mingw32 or other interested parties: I have now placed a
copy of Jam (the make replacement I use) on the download page. This means
that you should be able to rebuild components of Mingw32 out of the box now.
It also makes it easier to build apps in general. For one thing my Jambase
(set of built in rules for Jam) allows you to build import libraries and
compile resource files (given you have rcl and cvtres) straight into your
application just by doing something like this:

Main foo.exe : foo.c bar.c resources.rc ;

It also takes care of putting a .reloc section into your executable by
doing all those funky dlltool tricks (yes this increases compile time, but
it also makes your GUI applications have the proper icon in an Explorer
window).

Anyway, use if you like, ignore if you like.

Colin.

-- Colin Peters - [email-masked]
-- Saga University Dept. of Information Science
-- Fundamentals of Information Science
-- http://www.fu.is.saga-u.ac.jp/~colin/home.html

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".